Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclBinIStreamLittleEndian Class Reference
[OSCL Util]

`#include <oscl_bin_stream.h>`

Inheritance diagram for OsclBinIStreamLittleEndian:

## Public Methods
| OsclBinIStreamLittleEndian ()
OsclBinIStreamLittleEndian & | operator>> (int8 &data)
| This method reads a int8 from the stream and stores it in 'data'.
OsclBinIStreamLittleEndian & | operator>> (uint8 &data)
| This method reads a uint8 from the stream and stores it in 'data'.
OsclBinIStreamLittleEndian & | operator>> (int16 &data)
| This method reads a int16 from the stream and stores it in 'data'.
OsclBinIStreamLittleEndian & | operator>> (uint16 &data)
| This method reads a uint16 from the stream and stores it in 'data'.
OsclBinIStreamLittleEndian & | operator>> (int32 &data)
| This method reads a int32 from the stream and stores it in 'data'.
OsclBinIStreamLittleEndian & | operator>> (uint32 &data)
| This method reads a uint32 from the stream and stores it in 'data'.
## Protected Methods
uint16 | Read_uint16 ()
uint32 | Read_uint32 ()

## Constructor & Destructor Documentation

OsclBinIStreamLittleEndian::OsclBinIStreamLittleEndian | ( |  | ) | `[inline]`

## Member Function Documentation

OsclBinIStreamLittleEndian& OsclBinIStreamLittleEndian::operator>> | ( | uint32 & | data | ) |

| This method reads a uint32 from the stream and stores it in 'data'.

OsclBinIStreamLittleEndian& OsclBinIStreamLittleEndian::operator>> | ( | int32 & | data | ) |

| This method reads a int32 from the stream and stores it in 'data'.

OsclBinIStreamLittleEndian& OsclBinIStreamLittleEndian::operator>> | ( | uint16 & | data | ) |

| This method reads a uint16 from the stream and stores it in 'data'.

OsclBinIStreamLittleEndian& OsclBinIStreamLittleEndian::operator>> | ( | int16 & | data | ) |

| This method reads a int16 from the stream and stores it in 'data'.

OsclBinIStreamLittleEndian& OsclBinIStreamLittleEndian::operator>> | ( | uint8 & | data | ) |

| This method reads a uint8 from the stream and stores it in 'data'.

OsclBinIStreamLittleEndian& OsclBinIStreamLittleEndian::operator>> | ( | int8 & | data | ) |

| This method reads a int8 from the stream and stores it in 'data'.

uint16 OsclBinIStreamLittleEndian::Read_uint16 | ( |  | ) | `[protected]`

uint32 OsclBinIStreamLittleEndian::Read_uint32 | ( |  | ) | `[protected]`

The documentation for this class was generated from the following file:

- oscl_bin_stream.h